Package dev.plex.util.redis

# Class MessageUtil

java.lang.Object
dev.plex.util.redis.MessageUtil

public class MessageUtil extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final com.google.gson.Gson`
`GSON`
`private static redis.clients.jedis.JedisPubSub`
`SUBSCRIBER`

## Constructor Summary

Constructors
Constructor
Description
`MessageUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`sendStaffChat(org.bukkit.command.CommandSender sender, net.kyori.adventure.text.Component message, UUID... ignore)`
`static void`
`subscribe()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GSON

private static final com.google.gson.Gson GSON

### SUBSCRIBER

private static redis.clients.jedis.JedisPubSub SUBSCRIBER

## Constructor Details

### MessageUtil

public MessageUtil()

## Method Details

### subscribe

public static void subscribe()

### sendStaffChat

public static void sendStaffChat(org.bukkit.command.CommandSender sender, net.kyori.adventure.text.Component message, UUID... ignore)